Bug 169927 - Review Request: scim-fcitx - Chinese IMEngine for SCIM
Review Request: scim-fcitx - Chinese IMEngine for SCIM
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
David Lawrence
http://www.scim-im.org/projects/imeng...
: i18n
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-10-05 07:01 EDT by Jens Petersen
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-09 20:33:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2005-10-05 07:01:55 EDT
Spec Name or Url: http://people.redhat.com/petersen/extras/scim-fcitx.spec
SRPM Name or Url: http://people.redhat.com/petersen/extras/scim-fcitx-3.1.1-1.src.rpm
Description:
scim-fcitx is a port of the fcitx Chinese input method for the SCIM input
method platform.  It provides Wubi, Erbi, Cangjie, and Pinyin styles of input.
Comment 1 John Mahowald 2005-12-12 23:39:38 EST
* RPM name is OK
* Source scim-fcitx.3.1.1.tar.bz2 is the same as upstream
* Builds fine in mock
* rpmlint of scim-fcitx-tools looks OK
* File list of scim-fcitx-tools looks OK

Needs work:
* Missing SMP flags. If it doesn't build with it, please add a comment
  (wiki: PackagingGuidelines#parallelmake)
* rpmlint of scim-fcitx: Don't need empty file NEWS.
* File list of scim-fcitx: %{_datadir}/scim and %{_libdir}/scim are already
owned by scim package
* %defattr(-, root, root)  really should be %defattr(-, root, root,-)
Comment 2 Jens Petersen 2005-12-19 03:32:15 EST
Thank you for the careful review.

I uploaded a new package which should fix all the points you found:

  http://people.redhat.com/petersen/extras/scim-fcitx-3.1.1-1.1.src.rpm
  http://people.redhat.com/petersen/extras/scim-fcitx.spec
Comment 3 John Mahowald 2005-12-19 16:13:20 EST
The careful review is mostly thanks to the fedora-qa script.

rpmlint
- rpmlint of scim-fcitx: Missing changelog entry, minor
- rpmlint of scim-fcitx-tools: No docs, ignore.

- package meets naming guidelines
- package meets packaging guidelines
- license (GPL) OK, text in %doc
- spec file legible, in am. english
- source matches upstream
- package compiles on FC4 i386
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file 


Note that I have not tested using this.

APPROVED
Comment 4 Konstantin Ryabitsev 2005-12-19 16:40:17 EST
I've tested it -- works very nicely. Better interface than the default pinyin
input method provided by scim, at least in my opinion. Looking forward to seeing
it in Extras.
Comment 5 Jens Petersen 2005-12-20 06:35:53 EST
Package imported into cvs, devel build and cvs branches requested.
Comment 6 Christian Iseli 2006-01-09 08:21:37 EST
(In reply to comment #5)
> Package imported into cvs, devel build and cvs branches requested.

Could you please set the ticket to CLOSED / NEXTRELEASE ?

Thanks.
Comment 7 Jens Petersen 2006-01-09 20:33:52 EST
Done, thanks.

Note You need to log in before you can comment on or make changes to this bug.